package fr.natan.cleanarchitectureemployeesservice.infrastructure.ports.input.feignclient.services;

import fr.natan.cleanarchitectureemployeesservice.infrastructure.ports.input.feignclientfallback.AddressServiceProxyFallback;
import fr.natan.cleanarchitectureemployeesservice.infrastructure.ports.input.feignclient.models.AddressModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "CLEAN-ARCHI-BUSINESS-SERVICE-ADDRESS", fallback = AddressServiceProxyFallback.class)
public interface AddressServiceProxy {
    @RequestMapping(value = "/addresses/{addressID}", method = RequestMethod.GET)
    AddressModel getAddressById(@PathVariable(name = "addressID") Long addressID);
}
