package fr.natan.cleanarchitectureprojectservice.infranstructure.ports.input.feignclients.services;

import fr.natan.cleanarchitectureprojectservice.infranstructure.ports.input.feignclients.entities.CompanyModel;
import fr.natan.cleanarchitectureprojectservice.infranstructure.ports.input.feignclientsfallback.CompanySeviceProxyFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "CLEAN-ARCHI-BUSINESS-SERVICE-COMPANY", fallback = CompanySeviceProxyFallback.class)
public interface CompanyServiceProxy {
    @RequestMapping(value = "/companies/{companyID}", method = RequestMethod.GET)
    CompanyModel getCompanyByID(@PathVariable(name = "companyID") String companyID);
}

