package fr.natan.cleanarchitectureprojectservice.infranstructure.ports.input.feignclients.services;

import fr.natan.cleanarchitectureprojectservice.infranstructure.ports.input.feignclients.entities.EmployeeModel;
import fr.natan.cleanarchitectureprojectservice.infranstructure.ports.input.feignclientsfallback.EmployeeSeviceProxyFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "CLEAN-ARCHI-BUSINESS-SERVICE-EMPLOYEE", fallback = EmployeeSeviceProxyFallback.class)
public interface EmployeeServiceProxy {
    @RequestMapping(value = "/employees/{employeeID}", method = RequestMethod.GET)
    EmployeeModel getEmployeeByID(@PathVariable(name = "employeeID") String employeeID);
}
